# LLM Reading List

## General

[Attention is all you need - Łukasz Kaiser](https://www.youtube.com/watch?v=IahPIH7LRbs)

[Can large language models provide useful feedback on research papers? A large-scale empirical analysis](https://arxiv.org/pdf/2310.01783.pdf)

[Benchmark for evaluating code generation performance of LLMs](https://nuprl.github.io/MultiPL-E/)

[Illustrated Transformer - Jay Alammar](https://jalammar.github.io/illustrated-transformer/)

[All you need to know about Attention and Transformers - part 1 - Arjun Sarkar](https://towardsdatascience.com/all-you-need-to-know-about-attention-and-transformers-in-depth-understanding-part-1-552f0b41d021)

## Systems

[Llama.cpp 30B runs with only 6GB of RAM now (CPU)](https://github.com/ggerganov/llama.cpp/discussions/638#discussioncomment-5492916)

## Verification

[LEVER: Learning to Verify Language-to-Code Generation with Execution](https://openreview.net/pdf?id=Gj3zN9zs4v)

[How Effective Are Neural Networks for Fixing Security Vulnerabilities](https://arxiv.org/abs/2305.18607)

# Courses/Tutorials

[Neural Networks: Zero to Hero](https://karpathy.ai/zero-to-hero.html) - A course by Andrej Karpathy on building neural networks, from scratch, in code.
